Show / Hide Table of Contents

# AsyncApplicationFocusTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncApplicationFocusTrigger : AsyncTriggerBase<bool>, IUniTaskAsyncEnumerable<bool>

##### Inheritance

System.Object → AsyncTriggerBase<System.Boolean> → AsyncApplicationFocusTrigger

##### Implements

IUniTaskAsyncEnumerable<System.Boolean>

### Members

#### Methods

Name | Description
--- | ---
GetOnApplicationFocusAsyncHandler() |
GetOnApplicationFocusAsyncHandler(CancellationToken) |
OnApplicationFocusAsync() |
OnApplicationFocusAsync(CancellationToken) |

### Methods

#### GetOnApplicationFocusAsyncHandler()

    public IAsyncOnApplicationFocusHandler GetOnApplicationFocusAsyncHandler()

##### Returns

IAsyncOnApplicationFocusHandler

#### GetOnApplicationFocusAsyncHandler(CancellationToken)

    public IAsyncOnApplicationFocusHandler GetOnApplicationFocusAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnApplicationFocusHandler

#### OnApplicationFocusAsync()

    public UniTask<bool> OnApplicationFocusAsync()

##### Returns

UniTask<System.Boolean>

#### OnApplicationFocusAsync(CancellationToken)

    public UniTask<bool> OnApplicationFocusAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask<System.Boolean>

### Implements

IUniTaskAsyncEnumerable<T>